%define tarname Jinja2
%define fname   jinja2

# jinja requires itself ( as python-sphinx use it ) to build doc
%define enable_doc 1

# Force python3 build - required by hplip
# % {?build_python3}%{?!build_python3:%bcond_without python3}
%bcond_without python3

Summary:	Python template engine
Name:		python-jinja2
Version:	2.8
Release:	1
License:	BSD
Group:		Development/Python
Url:		http://jinja.pocoo.org/
Source0:	https://pypi.python.org/packages/source/J/Jinja2/Jinja2-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python-devel >= 2.4
BuildRequires:	python-setuptools
BuildRequires:	python-markupsafe
BuildRequires:	python-pytest
%if %{with python3}
BuildRequires:	python3-markupsafe
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-pytest
%endif
%if %enable_doc
BuildRequires:	python-sphinx
%endif
Requires:	python >= 2.4
Obsoletes:	python-jinja
Suggests:	python-markupsafe

%description
Jinja2 is a library for Python 2.4 and onwards that is designed to be
flexible, fast and secure. If you have any exposure to other
text-based template languages, such as Smarty or Django, you should
feel right at home with Jinja2. It's both designer and developer
friendly by sticking to Python's principles and adding functionality
useful for templating environments.

%if %{with python3}
%package -n python3-jinja2
Summary:	Python template engine
Group:		Development/Python
Requires:	python3
 
%description -n python3-jinja2
Jinja2 is a library for Python 2.4 and onwards that is designed to be
flexible, fast and secure. If you have any exposure to other
text-based template languages, such as Smarty or Django, you should
feel right at home with Jinja2. It's both designer and developer
friendly by sticking to Python's principles and adding functionality
useful for templating environments.
%endif

%prep
%setup -qc

mv %{tarname}-%{version} python2
%if %{with python3}
cp -r python2 python3
%endif

%build
pushd python2
PYTHONDONTWRITEBYTECODE=  python setup.py build
%if %enable_doc
%make -C docs html
%endif
popd

%if %{with python3}
pushd python3
PYTHONDONTWRITEBYTECODE=  python3 setup.py build
%if %enable_doc
%make -C docs html
%endif
popd
%endif

%check
pushd python2
make test
popd

%if %{with python3}
pushd python3
make test
popd
%endif

%install
pushd python2
python setup.py install --root=%{buildroot}
popd

%if %{with python3}
pushd python3
python3 setup.py install --root=%{buildroot}
popd
%endif

%files -n python-jinja2 
%doc python2/AUTHORS python2/CHANGES python2/LICENSE python2/examples
%{py_puresitedir}/%{fname}/*
%{py_puresitedir}/%{tarname}-%{version}-py%{py_ver}.egg-info
%if %enable_doc
%doc python2/docs/_build/html
%endif

%if %{with python3}
%files -n python3-jinja2
%doc python3/AUTHORS python3/CHANGES python3/LICENSE python3/examples
%{py3_puresitedir}/%{fname}/*
%{py3_puresitedir}/%{tarname}-%{version}-py%{py3_ver}.egg-info
%if %enable_doc
%doc python3/docs/_build/html
%endif
%endif

%changelog

* Fri Jan 15 2016 Denis Silakov <dsilakov@gmail.com> 2.8-1
- (3a129e6) Added pytest BR


